The Workstation Cost object
Attributes
Unique identifier for the object.
{
"id": "workstation-cost_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operating_cost": 0,
"operating_component": "operating_component_example"
} /api/manufacturing/workstation-cost?parent_id={id} List workstation costs by parent
Returns all workstation costs belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of workstation cost objects belonging to the parent.
curl https://api.overplane.dev/api/manufacturing/workstation-cost?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "workstation-cost_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operating_cost": 0,
"operating_component": "operating_component_example"
}
],
"has_more": false,
"total": 1
} /api/manufacturing/workstation-cost Create a workstation cost
Creates a new workstation cost object.
Body parameters
Returns
Returns the newly created workstation cost object if the call succeeded.
curl https://api.overplane.dev/api/manufacturing/workstation-cost \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"parent_id":null,"parent_type":"parent_type_example","operating_cost":0,"operating_component":"operating_component_example"}' {
"id": "workstation-cost_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operating_cost": 0,
"operating_component": "operating_component_example"
} /api/manufacturing/workstation-cost/{id} Update a workstation cost
Updates the specified workstation cost by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the workstation cost to update.
Body parameters
Returns
Returns the updated workstation cost object.
curl https://api.overplane.dev/api/manufacturing/workstation-cost/workstation-cost_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "workstation-cost_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operating_cost": 0,
"operating_component": "operating_component_example"
} /api/manufacturing/workstation-cost/{id} Delete a workstation cost
Permanently deletes a workstation cost. This cannot be undone.
Path parameters
The identifier of the workstation cost to delete.
Returns
Returns a confirmation that the workstation cost has been deleted.
curl https://api.overplane.dev/api/manufacturing/workstation-cost/workstation-cost_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "workstation-cost_abc123",
"deleted": true
} /api/manufacturing/workstation-cost/reorder Reorder workstation costs
Updates the sort order of workstation costs within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/manufacturing/workstation-cost/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "workstation-cost_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operating_cost": 0,
"operating_component": "operating_component_example"
}